---
search:
  tags:
    - environments
    - GET
seo:
  description: >-
    Returns a project's environments, a page at a time. Reference for the GET
    /project/{project_id}/environment endpoint in the Platform API.
sidebar:
  label: List environments
  badge: GET
title: List environments
type: openapi-operation
---
Returns a project's environments, a page at a time.

`GET /project/{project_id}/environment`

**Responses**

- `200` — List of environments retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
      "name": "string",
      "type": "development",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}
```
